CLI
# Requires: npm i -g @infinite_dev/cli && export INFINITE_API_KEY=sk_sandbox_...
# Escape hatch for any endpoint: infinite api <METHOD> <path>
infinite api PATCH /v1/assistant/threads/<threadId> \
--body '<request-json>'Update assistant thread (<threadId>).
# Infinite MCP is read-only for this endpoint — use a dedicated MCP tool when one exists, otherwise run the CLI tab.import requests
url = "https://sandbox.api.infinite.dev/v1/assistant/threads/{threadId}"
payload = {
"title": "<string>",
"pinnedContext": {
"id": "<string>",
"label": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({title: '<string>', pinnedContext: {id: '<string>', label: '<string>'}})
};
fetch('https://sandbox.api.infinite.dev/v1/assistant/threads/{threadId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.api.infinite.dev/v1/assistant/threads/{threadId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'title' => '<string>',
'pinnedContext' => [
'id' => '<string>',
'label' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.infinite.dev/v1/assistant/threads/{threadId}"
payload := strings.NewReader("{\n \"title\": \"<string>\",\n \"pinnedContext\": {\n \"id\": \"<string>\",\n \"label\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://sandbox.api.infinite.dev/v1/assistant/threads/{threadId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"<string>\",\n \"pinnedContext\": {\n \"id\": \"<string>\",\n \"label\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.api.infinite.dev/v1/assistant/threads/{threadId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"title\": \"<string>\",\n \"pinnedContext\": {\n \"id\": \"<string>\",\n \"label\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"app": "console",
"env": "<string>",
"organizationId": "<string>",
"userId": "<string>",
"title": "<string>",
"status": "active",
"mcpSessionIds": {},
"visibility": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"pinnedContext": {
"type": "customer",
"id": "<string>",
"label": "<string>"
},
"lastMessageAt": "2023-11-07T05:31:56Z",
"retentionExpiresAt": "2023-11-07T05:31:56Z",
"activeRunStatus": "queued",
"unread": true
}Assistant
Update assistant thread
PATCH
/
v1
/
assistant
/
threads
/
{threadId}
CLI
# Requires: npm i -g @infinite_dev/cli && export INFINITE_API_KEY=sk_sandbox_...
# Escape hatch for any endpoint: infinite api <METHOD> <path>
infinite api PATCH /v1/assistant/threads/<threadId> \
--body '<request-json>'Update assistant thread (<threadId>).
# Infinite MCP is read-only for this endpoint — use a dedicated MCP tool when one exists, otherwise run the CLI tab.import requests
url = "https://sandbox.api.infinite.dev/v1/assistant/threads/{threadId}"
payload = {
"title": "<string>",
"pinnedContext": {
"id": "<string>",
"label": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({title: '<string>', pinnedContext: {id: '<string>', label: '<string>'}})
};
fetch('https://sandbox.api.infinite.dev/v1/assistant/threads/{threadId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.api.infinite.dev/v1/assistant/threads/{threadId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'title' => '<string>',
'pinnedContext' => [
'id' => '<string>',
'label' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.infinite.dev/v1/assistant/threads/{threadId}"
payload := strings.NewReader("{\n \"title\": \"<string>\",\n \"pinnedContext\": {\n \"id\": \"<string>\",\n \"label\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://sandbox.api.infinite.dev/v1/assistant/threads/{threadId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"<string>\",\n \"pinnedContext\": {\n \"id\": \"<string>\",\n \"label\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.api.infinite.dev/v1/assistant/threads/{threadId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"title\": \"<string>\",\n \"pinnedContext\": {\n \"id\": \"<string>\",\n \"label\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"app": "console",
"env": "<string>",
"organizationId": "<string>",
"userId": "<string>",
"title": "<string>",
"status": "active",
"mcpSessionIds": {},
"visibility": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"pinnedContext": {
"type": "customer",
"id": "<string>",
"label": "<string>"
},
"lastMessageAt": "2023-11-07T05:31:56Z",
"retentionExpiresAt": "2023-11-07T05:31:56Z",
"activeRunStatus": "queued",
"unread": true
}Authorizations
bearerbearer
API Key in Bearer format (e.g., Bearer sk_test_...)
Headers
API key (non-production only)
Path Parameters
Body
application/json
Response
Available options:
console, admin, compliance Available options:
active, archived Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
queued, running, awaiting_confirmation, completed, failed, cancelled Was this page helpful?